<!-- ******************************************************** -->
<!--  Docbook Version:  For Toolkit Developers Guide          -->
<!-- ******************************************************** -->

<!-- ******************* Section (Level#1) ****************** -->
<sect1 id="sect.DsgnFuncMateri">
<title>
Materials
</title>


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.DsgnFuncMateri.DsgPhlsp">
<title>
Design Philosophy
</title>

<para>
The design of the materials category reflects what exists in nature: materials 
are made of a single element or a mixture of elements, and elements are made 
of a single isotope or a mixture of isotopes.  Because the physical
properties of materials can be described in a generic way by quantities which 
can be specified directly, such as density, or derived from the element
composition, only concrete classes are necessary in this category.
</para>

<para>
The material category implements the facilities necessary to describe the 
physical properties of materials for the simulation of particle-matter 
interactions.  Characteristics like radiation and interaction length, 
excitation energy loss, coefficients in the Bethe-Bloch formula, shell 
correction factors, etc., are computed from the element, and if necessary, 
the isotope composition. 
</para>

<para>
The material category also implements facilities to describe surface 
properties used in the tracking of optical photons. 
</para>

</sect2>

<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.DsgnFuncMateri.ClassDsg">
<title>
Class Design
</title>

<para>
The object-oriented design of the 'materials' related classes
is shown in the class diagram: 
<xref linkend="fig.DsgnFuncMateri_1" />. 
The diagram is described in the Booch notation. 

<figure id="fig.DsgnFuncMateri_1">
<title>
</title>
<mediaobject>
  <imageobject role="fo">
    <imagedata fileref="./AllResources/OOAnalysisDesign/Materials/classDgmMaterials.jpg" 
               format="JPG" contentwidth="10.0cm" align="center" />
  </imageobject>
  <imageobject role="html">
    <imagedata fileref="./AllResources/OOAnalysisDesign/Materials/classDgmMaterials.jpg" 
               format="JPG" contentwidth="120%" align="center" />
  </imageobject>
</mediaobject>
</figure>
</para>


<!-- ******* Bridgehead ******* -->
<bridgehead role="revisionHistory" renderas="sect4">
[Status of this chapter]
</bridgehead>
<para>
<simplelist type="var">
  <member>
    27.06.05 section on design philosophy add (from Geant4 general paper) by 
    D.H. Wright
  </member>
  <member>
    Dec. 2006 Conversion from latex to Docbook verson by K. Amako
  </member>
</simplelist>
</para>
    

</sect2>
</sect1>


